Loading...
Searching...
No Matches
Opm::BinaryCoeff::H2O_CO2 Class Reference

Binary coefficients for water and CO2. More...

`#include <H2O_CO2.hpp>`

## Static Public Member Functions

template<class Scalar, class Evaluation = Scalar>
static Evaluation | henry (const Evaluation &temperature)
| Henry coefficent for molecular CO2 in liquid water.
template<class Scalar, class Evaluation = Scalar>
static Evaluation | gasDiffCoeff (const Evaluation &temperature, const Evaluation &pressure)
| Binary diffusion coefficent [m^2/s] for molecular water and CO2.
template<class Scalar, class Evaluation = Scalar>
static Evaluation | liquidDiffCoeff (const Evaluation &, const Evaluation &)
| Diffusion coefficent [m^2/s] for molecular CO2 in liquid water.

## Detailed Description

Binary coefficients for water and CO2.

## Member Function Documentation

## gasDiffCoeff()

template<class Scalar, class Evaluation = Scalar>

Evaluation Opm::BinaryCoeff::H2O_CO2::gasDiffCoeff | ( | const Evaluation & | temperature,
|  | const Evaluation & | pressure )

inline static

Binary diffusion coefficent [m^2/s] for molecular water and CO2.

To calculate the values, the fullerMethod is used.

## henry()

template<class Scalar, class Evaluation = Scalar>

Evaluation Opm::BinaryCoeff::H2O_CO2::henry | ( | const Evaluation & | temperature | ) |

inline static

Henry coefficent for molecular CO2 in liquid water.

See:

IAPWS: "Guideline on the Henry's Constant and Vapor-Liquid Distribution Constant for Gases in H2O and D2O at High Temperatures" http://www.iapws.org/relguide/HenGuide.pdf

The documentation for this class was generated from the following file:

- opm/material/binarycoefficients/H2O_CO2.hpp